Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 584702 - RHEL 5.5 Client is missing postgresql84-devel in conflicts group
RHEL 5.5 Client is missing postgresql84-devel in conflicts group
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: comps (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Daniel Mach
Release Test Team
: TestBlocker
Depends On:
Blocks: 593678
  Show dependency treegraph
 
Reported: 2010-04-22 04:33 EDT by David Kovalsky
Modified: 2014-03-31 19:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 17:07:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0020 normal SHIPPED_LIVE new package: redhat-release for Red Hat Enterprise Linux 5.6 2011-01-12 10:59:34 EST

  None (edit)
Description David Kovalsky 2010-04-22 04:33:08 EDT
It seems that 

> %packages
> @Everything
> -@Conflicts

Doesn't work for 5.5.0 Client, but works for Server.
Comment 2 Martin Banas 2010-04-22 04:52:45 EDT
David, can you please attach a kickstart which were used during the installation?
Comment 6 Chris Lumens 2010-04-22 16:32:00 EDT
Could you also address the various questions in comment #4?
Comment 8 Chris Lumens 2010-04-22 20:21:51 EDT
Well, then could you attach the error message you're seeing?
Comment 9 Arlinton Bourne 2010-04-23 06:35:47 EDT
(In reply to comment #8)
> Well, then could you attach the error message you're seeing?    

Something along the lines of being unable to resolve conflicts with the package set. Attempting to replicate this requires down time of a shared resource, which I'd like to avoid. If you could wait then I can provide a screenshot at some future time. In the meanwhile here's the snippet in the release note:

Previously, the kickstart installation method
offered two options to select all packages @Everything and * (wildcard).
As of Red Hat Enterprise Linux 5.5, both of these options have been
deprecated. Attempting to use a select all packages option will fail,
unless the kickstart file also includes package negation for conflicting
packages. Therefore, to install all packages but conflicting packages,
the kickstart file must contain:

%packages
@Everything
-@Conflicts

Unfortunately there was no bug referenced in the release notes.
Comment 19 Chris Lumens 2010-04-27 21:42:14 EDT
Is everyone here positive that their kickstart file lists nothing after -@conflicts?  I have another bug (bug 577334) tracking that situation, and this one sounds awful similar to it.  Please review that bug and the updates image described way at the bottom and compare this one to it.
Comment 21 Alexander Todorov 2010-04-30 09:08:19 EDT
Asnwering some questions:

1) The traceback from comment #15-#17 is bug 222513 and is not related to the package conflict. 

2) AFAIK * should heva the same effect as @everything. Please use * for RHEL5 and later. 

3) The bug count may differ for many reasons. The one that I see is that we have a bug in the everything-package-set test case which doesn't specify an installation key. Will correct it and schedule new tests against 5.5


Arlinton,
Can you upload your anaconda.log so that we know which packages conflict? 

Can you also investigate /tmp in stage2 and search for the comps.xml file there. and attach it as well.
Comment 24 Alexander Todorov 2010-04-30 10:36:38 EDT
Daniel,
please see comment #23. Is there anything we can do before 5.6 ?
Comment 29 Alexander Todorov 2010-05-03 07:23:15 EDT
Daniel,
cound the problem be in the fact that in Client -devel packages are in the Workstation/ repo instead of Client/ while for Server they are all in the Server/ repo?
Comment 37 errata-xmlrpc 2011-01-13 17:07:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0020.html

Note You need to log in before you can comment on or make changes to this bug.